# Radio Station

Plugin adds a radio station buildable prefab that catalogues all the audio clips found and displays them on an easily usable UI.

The plugin is loaded with a default AudioList.yml that filters the list.

## Features

- Play audio clips from radio
- Register custom audio to radio
- Filter audio clips using YML file

## YML Filter

You will find a new folder in your configs named: "RadioStation"

Within this folder, you will find:
- CustomAudio
- AllAudio.yml
- AudioList.yml

AllAudio is a file with the entire list of available audio clips

AudioList is a file to filter the entire list so your radio station isn't cluttered with useless audio clips.

Custom Audio enables to register your own audio files to the radio station. This folder needs to be shared with your friends for them to successfully hear your tunes and share the same file name.

## Configurations

- You can set the recipe of the radio station
- You can set the max distance of audible radio
  - Since the volume fades based on the distance of the player to the radio
- You can toggle the usage of the AudioList.yml filter

## Changelog
```
1.0.0 - Initial Release
1.0.1 - Adding looping feature
```

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/v89DHnpvwS)

Or come find me at the [Modding Corner](https://discord.gg/fB8aHSfA8B)

##
If you enjoy this mod and want to support me:
[PayPal](https://paypal.me/mpei)

<span>
<img src="https://i.imgur.com/rbNygUc.png" alt="" width="150">
<img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">
</span>
